tigase.jaxmpp.core.client.xmpp.modules

## Interface SessionEstablishmentModule.SessionEstablishmentSuccessHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    SessionEstablishmentModule

      public static interface SessionEstablishmentModule.SessionEstablishmentSuccessHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `SessionEstablishmentModule.SessionEstablishmentSuccessHandler.SessionEstablishmentSuccessEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onSessionEstablishmentSuccess(SessionObject sessionObject)`

- - ### Method Detail

    - #### onSessionEstablishmentSuccess

          void onSessionEstablishmentSuccess(SessionObject sessionObject)
                                      throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.